Name:		mobile-atlas-creator
Version:	1.8.1
Release:	1%{?dist}
Summary:	Creates offline atlases for GPS handhelds and cell phone applications
Group:		Applications/Editors
License:	LGPLv2+
URL:		http://mobac.dnsalias.org/
BuildArch:	noarch
Source0:	http://sourceforge.net/projects/trekbuddyatlasc/files/Mobile Atlas Creator/MOBAC %{version}/Mobile Atlas Creator %{version} src.zip
# Image available at "http://mobac.dnsalias.org/images/logo3.png"
Source1:	mobile-atlas-creator-logo.png

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	ant, ant-nodeps
BuildRequires:	desktop-file-utils
BuildRequires:	java-devel >= 1:1.6.0
BuildRequires:	jpackage-utils

Requires:	java >= 1:1.6.0
Requires:	jpackage-utils

%description
Mobile Atlas Creator (formerly known as TrekBuddy Atlas Creator) is an open
source (GPL) program which creates offline atlases for GPS handhelds and
cell phone applications like TrekBuddy, AndNav and other Android and
WindowsCE based applications.  For the full list of supported applications
please see the features section.  Additionally individual maps can be
exported as one large PNG image with calibration MAP file for OziExplorer. 
As source for an offline atlas Mobile Atlas Creator can use a large number
of different online maps such as OpenStreetMap, Google Maps, Microsoft/Bing
Maps, Yahoo Maps and many more online map providers.


%prep
%setup -q -c -n %{name}-%{version}

# Fix EOL encoding
for doc in CHANGELOG.txt; do
 sed "s|\r||g" $doc > $doc.new && \
 touch -r $doc $doc.new && \
 mv $doc.new $doc
done


# Make desktop file
cat > mobile-atlas-creator.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Mobile Atlas Creator
Comment=Creates offline atlases for GPS handhelds and cell phone applications
Exec=mobile-atlas-creator
Icon=mobile-atlas-creator
Terminal=false
Type=Application
Categories=Education;Science;Geography;GTK;Network;
EOF

%build
ant all

# patch launcher script
sed -i -e 's#jar #jar %{_javadir}/#g' start.sh


%install
rm -rf %{buildroot}
install -D -p -m 755 start.sh %{buildroot}%{_bindir}/%{name}
install -D -p -m 644 Mobile_Atlas_Creator.jar %{buildroot}%{_javadir}/Mobile_Atlas_Creator.jar
install -D -p -m 644 %{SOURCE1} %{buildroot}%{_datadir}/pixmaps/%{name}.png

# Install desktop file
desktop-file-install --dir=${RPM_BUILD_ROOT}%{_datadir}/applications --vendor=fedora mobile-atlas-creator.desktop

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGELOG.txt gpl.txt README-DEV.HTM README.HTM
%{_bindir}/%{name}
%{_javadir}/Mobile_Atlas_Creator.jar
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/fedora-%{name}.desktop


%changelog
* Mon Mar 21 2011 Peter Hanecak <hany@hany.sk> 1.8.1-1
- updated to 1.8.1

* Sat Jan 15 2011 Peter Hanecak <hany@hany.sk> 1.8-1
- updated to 1.8

* Sun Jun  6 2010 Peter Hanecak <hany@hany.sk> 1.7-1
- initial spec (based on jmol spec)
